<?php

/**
 * ParsPal DataLaifeEngine Payment Module
 * ParsPal  Development Team
 * @version 1.0 - 1398
 * @since   Datalife Engine 10.4
 * @link    https://developer.parspal.com
 */

session_start();
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
ini_set('display_errors', true);
ini_set('html_errors', true);
define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));

include_once ROOT_DIR.'/engine/classes/mysql.php';
require_once(ROOT_DIR.'/engine/data/dbconfig.php');
require_once(ROOT_DIR.'/engine/api/api.class.php');
$prefix = PREFIX;
?>

<!DOCTYPE html>
<html lang="fa">
    <head>
        <meta charset="utf-8">
        <title>افزونه پرداخت پارس پال</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        <style rel="stylesheet">
            section.featured {
    padding: 200px 0 60px;
    background: #70B9B0;
    color: #fdfdfd;
    min-height:700px;

}
.navbar {
    line-height: 100px;
    height: 100px;
    background-color: rgba(0,0,0,0.3);
    display: block;
    vertical-align: middle;
    text-align: center;
    margin-bottom: 0;
    padding-bottom: 0;
}
.nav > li > a {
    display: table-cell;
    height: 100%;
    line-height: 100%;
    vertical-align: middle;
    color: #fff;
    font-weight: 700;
    font-size: 13px;
    letter-spacing: .1em;
    text-transform: uppercase;
}
.navbar-nav {
    margin-bottom: 0;
    padding-bottom: 0;
    margin-top:20px;
}
h1 a.navbar-brand {
    font-size: 24px;
    color: #fff;
    font-weight: 900;
    text-shadow: none;
}
section#footer {
    background: #242424;
    color: #777;
    margin: 0;
}
section.section {
    margin: 0;
    padding: 80px 0 60px 0;
}
.contact{
    color:#036111;
}

@font-face { font-family: 'yekan'; src: url('/templates/Default/fonts/dle.eot') format('eot'), url("/templates/Default/fonts/dle.woff") format("woff"), url('/templates/Default/fonts/dle.ttf') format('truetype'); }

div,p,span,ul,li{
    direction:rtl;
    text-align:right;
    font-family:'yekan','b yekan',tahoma;
}
.panel-body{
    color:#8f8f8f;
}
        </style>
    </head>
    <body>
     	<section id="header" class="appear"></section>
        <div class="navbar navbar-fixed-top" role="navigation" data-0="line-height:100px; height:100px; background-color:rgba(0,0,0,0.3);" data-300="line-height:60px; height:60px; background-color:rgba(0,0,0,1);">
             <div class="container">
                <div class="navbar-header pull-right">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="fa fa-bars color-white"></span>
                    </button>
                    <h1><a class="navbar-brand" href="parspal-install.php" data-0="line-height:90px;" data-300="line-height:50px;"> پارس پال </a></h1>
                </div>
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav" data-0="margin-top:20px;" data-300="margin-top:5px;">

                        <li><a href="https://www.parspal.com">درگاه پرداخت پارس پال</a></li>
                        <li><a href="https://developer.parspal.com">پشتیبانی</a></li>

                    </ul>
                </div><!--/.navbar-collapse -->
            </div>
        </div>
        <section class="featured">
            <div class="container">
                <div class="row mar-bot40">
                    <div class="col-md-8 col-md-offset-2">

                        <?php

                        if(isset($_POST['apiKey']))
                        {
                            echo '<div class="alert alert-info">';
                            file_put_contents('engine/classes/parspalconfig.php', "<?php\n".'$'."apiKey = '".$_POST['apiKey']."';\n?>");
                            echo "- ایجاد فایل تنظیمات <br/>";
                            $sql = <<< SQL
CREATE TABLE IF NOT EXISTS `{$prefix}_parspalpayments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `mobile` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `price` int(10) NOT NULL DEFAULT '0',
  `date` int(11) NOT NULL DEFAULT '0',
  `refnumber` varchar(255) NOT NULL,
  `isverified` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SQL;
$db->query($sql);

                            echo "- جداول مورد نیاز ایجاد شد <br/>";
                            $checkup = $db->super_query("SELECT * FROM " . PREFIX . "_admin_sections WHERE name = 'parspalpay'");
                            if (!count($checkup) && !is_array($checkup)) {
                                $sql = "INSERT INTO `{$prefix}_admin_sections` (`name`, `title`, `descr`, `icon`, `allow_groups`) VALUES ('parspalpay', 'افزونه پرداخت پارس پال','لیست تراکنش های پرداختی', 'parspalpay.png', '1');";
                                $db->query($sql);
                            }

                            echo "- منوی مدیریتی ایجاد گردید <br/>";
                            $file = 'engine/engine.php';
                            // Open the file to get existing content
                            $current = file_get_contents($file);

                            $pos = strpos($current, "comments.php");
                            if ($pos === false) { // note: three equal signs
                                // not found...
                                echo "- Add Modules Failed !<br/>";
                            }
                            else if(strpos($current, "parspalpay") === false )
                            {
                                $newfile = 'engine/engine.php.bak';
                                if (!copy($file, $newfile)) {
                                    echo "failed to make backup$file...\n";
                                }
                                $pos = strpos($current, "break;",$pos) + 7;
                                $current = substr_replace($current, "\n	case \"parspalpay\" :\n		include ENGINE_DIR . '/modules/parspalpay.php';\n		break;\n", $pos, 0); //axbcd
                                file_put_contents($file, $current);
                                echo "- ماژول با موفقیت به سیستم اضافه شد <br/>";
                            }else{
                                echo '- Parspal Pay Exists !<br/>';

                            }

                            $checkup = $db->super_query("SELECT * FROM " . PREFIX . "_static WHERE name = 'payform'");
                            if (!count($checkup) && !is_array($checkup)) {
                            $sql = "INSERT INTO `{$prefix}_static` (`name`, `descr`, `template`, `allow_br`, `allow_template`, `grouplevel`, `tpl`, `metadescr`, `metakeys`, `views`, `template_folder`, `date`, `metatitle`, `allow_count`, `sitemap`, `disable_index`) VALUES
('payform', 'پرداخت', '<form class=\"sidebarform\" method=\"post\" action=\"/index.php?do=parspalpay\">\r\n    <div class=\"form-group\">\r\n        <input type=\"text\" name=\"name\" placeholder=\"نام پرداخت کننده\" required=\"\" id=\"name\" class=\"form-control\">\r\n    </div>\r\n    <div class=\"form-group\">\r\n        <input type=\"text\" name=\"mobile\" placeholder=\"شماره تلفن همراه\" required=\"\" id=\"mobile\" class=\"form-control\">\r\n    </div>\r\n    <div class=\"form-group\">\r\n        <input type=\"email\" name=\"email\" placeholder=\"آدرس ایمیل\" required=\"\" id=\"email\" class=\"form-control\">\r\n    </div>\r\n    <div class=\"form-group\">\r\n        <input type=\"text\" name=\"why\" placeholder=\"توضیحات\" required=\"\" id=\"why\" class=\"form-control\">\r\n    </div>\r\n    <div class=\"form-group\">\r\n        <input type=\"text\" name=\"price\" placeholder=\"مبلغ به تومان\" required=\"\" id=\"price\" class=\"form-control\">\r\n        <div class=\"alert alert-warning\">\r\n\r\n        </div>\r\n    </div>\r\n    <div class=\"form-group\">\r\n        <button class=\"btn btn-sm btn-primary\">پرداخت آنلاین</button>\r\n    </div>\r\n</form>', 2, 1, 'all', '', '1% پرداخت آنلاین', 'آنلاین, پرداخت, خواهد, افزوده, کارمزد', 5, '', 1468790223, '', 1, 1, 0);";
                                $db->query($sql);
                                echo "- ایجاد فرم پرداخت <br/>";
                            }else
                            {
                                echo '- Form Exists !<br/>';
                            }

                            unset($checkup);
                            echo '</div>';
                            echo '<div class="alert alert-success"> فعالیت نصب افزونه با موفقیت انجام گردید ، برای امنیت بیشتر فایل parspal-install.php را از ریشه سایت حذف نمایید . </div>';
                            echo '<a class="btn btn-info" href="/payform.html" target="_blank">مشاهده فرم پرداخت</a>';

                        }else{?>

                        <div class="align-center">

                            <h3 class="slogan">به نصب افزونه پرداخت مالی دیتالایف انجین پارس پال خوش آمدید !</h3>
                            <p>
                            نصب این افزونه به صورت خودکار صورت می پذیرد ، همچنین لازم به ذکر است این افزونه به صورت کاملا اختصاصی توسط تیم فنی پارس پال پیاده سازی شده است ، کلیه حقوق آن محفوظ و هرگونه کپی بردای از آن بدون ذکر منبع ممنوع می باشد ، در صورتی که اجازه های نصب فراهم می باشد برروی گزینه نصب کلیک نمایید .
                            </p>
                        </div>


                        <?php if(is_array($db->super_query("SHOW TABLES LIKE '".$prefix."_parspalpayments'")) === true){ ?>

                            <div class="alert alert-warning"> این افزونه قبلا برروی سایت شما نصب شده است ، برای اعمال تنظیمات به بخش مدیریتی سیستم مراجعه نمایید </div>

                        <?php }else if(is_writable('engine/engine.php') && is_writable('engine/classes/parspalconfig.php')){ ?>
                        <div class="panel panel-default">
  							<div class="panel-body">


                            - اتصال به پایگاه داده : موفق <br/>
                            - دسترسی به فایل تنظیمات :  موفق<br/>
                            <br/>
                            <form method="post">
                              <div class="form-group">
                                <label for="apiKey">شناسه درگاه :</label>
                                <input type="text" class="form-control" id="apiKey" name="apiKey" required placeholder="apiKey">
                              </div>
                              <button class="btn btn-success" >نصب افزونه</button>
                            </form>


                         </div>
                        </div>
                        <?php }else{ ?>

                            <div class="alert alert-danger">
                                پیش از نصب می بایست دسترسی 777 را برای دو فایل زیر ایجاد نمایید :
                                <br>
                                <br>
                                ریشه سایت : engine/engine.php<br><br>
                                ریشه سایت : engine/classes/parspalconfig.php<br><br>
                            </div>

                        <?php } ?>
                    <?php } ?>
                    </div>
                </div>
            </div>
        </section>
        <section id="footer" class="section footer">
        <div class="container">

            <div class="row align-center copyright">
                    <div class="col-sm-12"><p>کلیه حقوق محفوظ و متعلق به تیم فنی پارس پال</p></div>
            </div>
        </div>

        </section>
    </body>
</html>